#!/bin/sh

# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# This script sets up value of iSerial, which is retrieved by sdb.
# It waits until device is available and then turns it off, writes value
# from /etc/id to it and enables device again.
# It is used by iserial.service. Root permissions are required.
#
# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>

USB_PATH="/sys/class/usb_mode/usb0"
SLEEP=1
while [ "$(cat ${USB_PATH}/enable)" = "0" ] && [ "$SLEEP" -le 10 ]; do
    sleep "$SLEEP"
    SLEEP=$((SLEEP+1))
done
echo 0 > "${USB_PATH}/enable"
cat /etc/id > "${USB_PATH}/iSerial"
echo 1 > "${USB_PATH}/enable"
